--- dist.c	Wed Feb 16 13:17:18 2000
+++ /home/dcs/dist.c	Wed Feb 16 13:31:09 2000
@@ -631,7 +631,8 @@
     getinfo:
 	fp = mediaDevice->get(mediaDevice, buf, TRUE);
 	intr = check_for_interrupt();
-	if (fp == (FILE *)IO_ERROR || intr) {	/* Hard error, can't continue */
+	if (fp == (FILE *)IO_ERROR || intr || !mediaDevice) {
+	    /* Hard error, can't continue */
 	    if (!msgYesNo("Unable to open %s: %s.\nReinitialize media?",
 			  buf, !intr ? "I/O error." : "User interrupt.")) {
 		mediaDevice->shutdown(mediaDevice);
@@ -677,7 +678,8 @@
 	getsingle:
 	    fp = mediaDevice->get(mediaDevice, buf, TRUE);
 	    intr = check_for_interrupt();
-	    if (fp == (FILE *)IO_ERROR || intr) {	/* Hard error, can't continue */
+	    if (fp == (FILE *)IO_ERROR || intr || !mediaDevice) {
+		/* Hard error, can't continue */
 		if (intr)	/* result of an interrupt */
 		    msgConfirm("Unable to open %s: User interrupt", buf);
 		else
